EPR_DSD Struct Reference

The `EPR_DSD` structure contains information about the propertier of a dataset properties and its location within an ENVISAT product file. More...

`#include <epr_api.h>`

## Data Fields

EPR_Magic | magic
| The magic number for this structure.
int | index
| The index of this DSD (zero-based).
char * | ds_name
| The dataset name.
char * | ds_type
| The dataset type descriptor.
char * | filename
| The filename in the DDDB with the description of this dataset.
uint | ds_offset
| The offset of dataset-information the product file.
uint | ds_size
| The size of dataset-information in dataset product file.
uint | num_dsr
| The number of dataset records for the given dataset name.
uint | dsr_size
| The size of dataset record for the given dataset name.

## Detailed Description

The `EPR_DSD` structure contains information about the propertier of a dataset properties and its location within an ENVISAT product file.

See also
  epr_read_each_dsd

## Field Documentation

## magic

EPR_Magic EPR_DSD::magic

The magic number for this structure.

IMPORTANT: This must always be the first member of this structure.

## index

int EPR_DSD::index

The index of this DSD (zero-based).

## ds_name

char* EPR_DSD::ds_name

The dataset name.

## ds_type

char* EPR_DSD::ds_type

The dataset type descriptor.

## filename

char* EPR_DSD::filename

The filename in the DDDB with the description of this dataset.

## ds_offset

uint EPR_DSD::ds_offset

The offset of dataset-information the product file.

## ds_size

uint EPR_DSD::ds_size

The size of dataset-information in dataset product file.

## num_dsr

uint EPR_DSD::num_dsr

The number of dataset records for the given dataset name.

## dsr_size

uint EPR_DSD::dsr_size

The size of dataset record for the given dataset name.

The documentation for this struct was generated from the following file:

- epr_api.h